﻿using System.Collections.ObjectModel;
using System.ComponentModel;

namespace Arawn.Modules.Storage.Models
{
    public class Category : INotifyPropertyChanged
    {
        //[ScriptIgnore]

        private string name;
        public string Name
        {
            get { return name; }
            set { name = value;
                OnPropertyChanged("Name");
            }
        }

        public ObservableCollection<Identifier> Identifiers { get; set; }

        public Category()
        {
            this.Name = "Nouvelle Catégorie";

            this.Identifiers = new ObservableCollection<Identifier>();
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(string name)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(name));
        }
    }
}
